
*************************************************************************
This file is no longer kept up to date, please see git commit logs
instead.
*************************************************************************

2009-06-30  Tollef Fog Heen  <tfheen@err.no>

	* pkg.m4: Add patch from Peter Rosin for somewhat nicer output if
	you use the four-clause form of PKG_CHECK_MODULES.

2009-06-12  Tor Lillqvist  <tml@iki.fi>

	* parse.c: On Win32, if the value of a a variable other than the
	"prefix" one starts with the non-overridden value of "prefix",
	then replace that prefix, too, with the run-time one.

	To avoid shadowing warnings, rename a 'p' variable to 'q'.

	* pkg-config.1: Corresponding update.

	* main.c
	* pkg.h: Move the Win32 redefinition of PKG_CONFIG_PC_PATH from
	main.c to pkg.h as it now is needed in pkg.c, too.

2009-03-30  Tollef Fog Heen  <tfheen@err.no>

	* autogen.sh: Allow not running configure, wanted by cygwin.

	* check/check-missing, check/check-libs,
	check/check-requires-private: Handle the case of indirect being
	enabled correctly in checks.

	* check/common, check/config.sh.in, check/Makefile.am,
	configure.in: Make it possible to check for configure variables in
	the check scripts.  So far, only direct/indirect is exposed.

	* pkg.c (add_virtual_pkgconfig_package): Add pc_path as a variable
	which you can use to get at the compiled-in PKG_CONFIG_PC_PATH.

	* pkg.h: Fix up path to glib.h

	* pkg.c (add_virtual_pkgconfig_package): Fix URL to pkg-config.

	* partial-glib.[ch]: Get rid of those, they are no longer in use.

	* poptparse.c, popthelp.c, poptconfig.c, popt.c, pkg.c, findme.c,
	configure.in: Check for malloc.h and use that if it exists.
	Apparently this makes Win32 happier.  Thanks to Carlo Bramini for
	the patch.

	* pkg-config.1: Verbosify the text about Libs.private a bit. Patch
	from Loïc Minier.

	* pkg-config.1: Add documentation for --cflags-only-I, patch from
	Loïc Minier.

	* pkg.[ch], main.c, check/check-missing: Don't recurse Requires at
	all unless we need to.  Add check.  Again, thanks to Loïc Minier
	for most of the idea and the implementation.

	* pkg.[ch], parse.[ch], main.c, check/Makefile.am,
	check/check-missing, check/missing-requires-private.pc:
	Skip Requires.private unless we need to look at them for cflags.
	Add test case.  Thanks to Loïc Minier for most of the idea and the
	implementation.  Debian #475031

	* check/common: Run all tests in the C locale

	* check/common: Add support for non-zero return codes to test
	framework.  Thanks to Loïc Minier for the idea.

	* pkg.m4: Add PKG_CONFIG_PATH and PKG_CONFIG_LIBDIR to the list of
	precious directories.  (AC_ARG_VAR)

	* popthelp.c (poptPrintUsage,poptPrintHelp): Add [LIBRARIES] to
	help output.  Debian #389066

2008-04-28  Tollef Fog Heen  <tfheen@err.no>

	* parse.c Add my name to the copyright header, mainly to prevent
	emacs from being stupid and updating RH's copyright year.

	* parse.c (_do_parse_libs): Special-case "-lib:" in the Libs
	field; it's not an -l.  Yes, this breaks if your library is called
	libib:$something, in which case you lose.  Gnome #142952

	* main.c (main): Make sure log is initialized to prevent
	segfaults.

2008-03-23  Tollef Fog Heen  <tfheen@err.no>

	* check/check-conflicts, check/conflicts-test.pc: New test,
	testing that conflicts work as they should.

	* pkg.c (verify_package): Make the conflicts check not only check
	package versions, but also package names.  This makes conflicts
	functional, something they were not before.

	* check/check-requires-private: Remove unnecessary set -x

	* check/check-cflags, check/check-define-variable,
	check/check-includedir, check/check-libs,
	check/check-libs-private, check/check-requires-private: Replace
	the crazy -d ~root check with a more proper way to just make sure
	we are running under a POSIX shell.  Thanks to Kjetil Torgrim
	Homme for the tip about using getconf PATH.

	* main.c (main): Add logging support from NetBSD.  Thanks to Julio
	M. Merino Vidal for forwarding the patch from ages ago.

2008-03-23  Stepan Kasal  <skasal@redhat.com>

	* pkg-config.1: Document "Requires.private" and recommend it
	for libraries.  Freedesktop #13188

	* pkg-config.1: Fix a few typos--add two omitted .TP tags and two
	omitted full stops; and empty lines do influence the formatting in
	nroff.

2008-03-23  Tollef Fog Heen  <tfheen@err.no>

	* main.c (main): Fix small portability problem by defining all the
	variables in main that are used in the static initialiser as
	static variables.  This makes the IRIX/mipseb compiler happier.
	Thanks to Roland Illig of NetBSD for the patch.  This doesn't
	apply to some of the Win32 variables, but I don't believe that is
	a problem with the existing compilers there.

2008-02-19  Tor Lillqvist  <tml@novell.com>

	* main.c: Remove the possibility to have a default PKG_CONFIG_PATH
	in the Registry. It is much more flexible to just use environment
	variables. In general the Registry is not used in the ports of
	GTK+ or GNOME libraries and software to Windows.

	* parse.c (parse_line): On Windows, handle also .pc files found in
	a share/pkgconfig folder when automatically redefining a prefix
	variable for the package.

	* pkg-config.1: Corresponding changes.

2008-02-18  Tor Lillqvist  <tml@novell.com>

	* main.c: Fix some bitrot: On Windows, don't use the compile-time
	PKG_CONFIG_PC_PATH, but deduce a default one at run-time based on
	the location of the executable. This was originally what
	pkg-config did on Windows, but it had bit-rotted.

2008-01-31  Tollef Fog Heen  <tfheen@err.no>

	* configure.in: If prefix is unset, add /usr/lib/pkgconfig and
	/usr/share/pkgconfig to default search path.  Based on patch by
	Damjan Jovanovic.

	Also, make configure always print the path it is defaulting to.

	* pkg.c (string_list_to_string): Patch from Paul Bender so flags
	other than -I and -L are passed through (with mangling) when
	PKG_CONFIG_SYSROOT_DIR is set.

2008-01-16  Tollef Fog Heen  <tfheen@err.no>

	* NEWS, configure.in: Release 0.23

	* check/check-requires-private: Fix up test case.  We want to get
	the private -I option in all cases.

	* pkg.h, pkg.c (string_list_to_string), pkg-config.1, main.c
	(main): Add sysroot support and document same.  Triggered by
	setting PKG_CONFIG_SYSROOT_DIR in the environment.

2007-12-29  Tollef Fog Heen  <tfheen@err.no>

	* pkg.c (internal_get_package): Don't add the internal-only
	pkg-config package twice.

	* pkg.c (verify_package): Apply patch from Matthias Clasen of
	RedHat to prevent segfaults if a Conflicts line is encountered.

	* popthelp.c: Apply patch from Tom Tromey <tromey@redhat.com> to
	make pkg-config --help print to stdout, not stderr.  Gnome
	#127314.

	* pkg.m4: Don't use --errors-to-stdout in pkg.m4, but rather
	redirect stderr to stdout.  This makes pkg.m4 with old (pre 0.15)
	pkg-config look good, and it makes newer pkg-config with ancient
	pkg.m4 work well.  Gnome #111054

	* Update to glib 1.2.10, adjust lots of the glib patches.  Gnome
	#81847.

2007-06-19  Tollef Fog Heen  <tfheen@err.no>

	* pkg.m4: Fix bug so it's possible to override variables in case
	pkg-config is not installed.  Thanks to Thomas Klausner for the
	patch. 

2007-06-18  Tollef Fog Heen  <tfheen@err.no>

	* configure.in: Release 0.22

	* NEWS: Update for 0.22

	* configure.in: Fix expansion of default pc_path as per GNU coding
	standards.  Thanks to Andreas Hanke for the fix.
	Freedesktop #10326

	* pkg.c (recursive_fill_list): Make sure to act recursively with
	Requires.private, making them much more useful.  Special thanks to
	Matthias Clasen for lots and lots of nagging.  Freedesktop #8788

	* glib-patches/remove-strsignal-prototype.diff: define _GNU_SOURCE
	there to get strsignal prototype, addresses the rest of
	Freedesktop 10652.

	* popt.c: Remove code calling setresuid and setreuid, pkg-config
	should not ever be suid.  Partially addresses Freedesktop #10652

	* glib-patches/autoconf-warning.diff,
	glib-patches/automake-warning.diff Fix path prefix so it applies.

	Also fix automake-warning.diff to not patch on top of another
	patch from glib-patches.

	* glib-patches/no-dist-distclean-files.diff: Fix prefix.

2007-05-30  Tor Lillqvist  <tml@novell.com>

	* parse.c: Fix problem on Win32 where the automagic prefix
	replacement logic didn't work. I don't know what change had 
	broken it.
	(pathnamecmp): New Win32-only function. Compares two file
	paths case insensitively and treating backslashes as equal to
	slashes.
	(parse_line): Use it instead of g_ascii_strcasecmp().	

2007-05-29  Tollef Fog Heen  <tfheen@err.no>

	* pkg.m4: Update URL to pkg-config website.  Thanks to Peter
	Eisentraut.

2007-02-25  Tollef Fog Heen  <tfheen@err.no>

	* pkg.c (scan_dir): Use g_malloc, not malloc for pkgname.

	* Makefile.am: Add support for using the system glib.  Thanks to
	Peter Breitenlohner for the bug and the patch.  Freedesktop #9708

	* configure.in: Add support for using the system glib.

	* glib-patches/no-dist-distclean-files.diff,
	glib-patches/automake-warning.diff,
	glib-patches/autoconf-warning.diff:  Get rid of some warnings when
	configuring glib.

2007-02-21  Tollef Fog Heen  <tfheen@err.no>

	* parse.c (parse_package_file and others): Move the reversal of
	the _libs lists to the end to avoid double-reversing either.
	Thanks to J. Scott Berg for both the bug and the fix.  Freedesktop
	#9132

	* configure.in: remove AC_CONFIG_AUX_DIR as it makes newer
	automakes unhappy.  Freedesktop #10028.

2006-08-16  Tollef Fog Heen  <tfheen@err.no>

	* configure.in: Release 0.21 

	* NEWS: Update for 0.21

	* pkg.c: Add internal pkg-config package which can be queried for
	version number, name and URL for now.  More information will be
	added later.  Debian #254289, #287339

	* parse.c (trim_and_sub): Since %{...} has not been used for a
	long time, there is no point in being able to escape %.  However,
	make the code able to escape $ by doubling the $ to $$.  
	Debian #378570

	* pkg.c (packages_get_other_cflags, package_get_other_cflags)
	(packages_get_I_cflags): Always add all cflags.  Debian #340904

	* main.c (main): Always add the elements from PKG_CONFIG_PATH.
	Freedesktop #4795.

	* pkg-config.1: Apply patch from Ed Catmur to document
	PKG_PROG_PKG_CONFIG and that it should be used if the first call
	to PKG_CHECK_MODULES might not happen.  Freedesktop #7742

	* pkg-config.1: Apply patch from Ed Catmur to document
	PKG_CHECK_EXIST.  Thanks a lot for both patches.  Freedesktop
	#7741

2005-12-28  Tollef Fog Heen  <tfheen@err.no>

	* configure.in, Makefile.am: Only use -Wall and other gcc-only
	flags when we don't have a set of CFLAGS already set and we're
	using gcc.  Freedesktop #4888.

2005-10-17  Tollef Fog Heen  <tfheen@err.no>

	* pkg.m4: Do AC_MSG_RESULT([no]) even if $4 is set (so we don't
	fail).  Gnome #166537.

	* NEWS: Add missing news and really release 0.20, since I didn't
	get around to actually uploading last night.

2005-10-16  Tollef Fog Heen  <tfheen@err.no>

	* configure.in: Release 0.20

	* pkg.m4: use m4_define to avoid duplication of text.
	
	* pkg.m4: Minor cleanups, use m4_default rather than m4_ifval and
	echo 1>&FD is silly, just use echo >&FD

	* main.c (main): Try to print out all the errors and not just the
	first.

	* pkg.m4: Use --short-errors if it's available.

	* pkg.c (get_package_quiet): Add get_package_quiet which is just
	the same as get_package except it sets warn to false.

	* pkg.h: Add prototype for get_package_quiet.

	* main.c (main): Add --short-errors flag to suppress most of the
	output when a module is not found.

2005-10-01  Tollef Fog Heen  <tfheen@err.no>

	* pkg.c (packages_get_var): Don't try to chop if string length is
	zero.  Freedesktop #4034.
	(scan_dir): Turn backslashes into slashes or poptParseArgvString()
	will eat them when ${prefix} has been expanded in parse_libs().
	Thanks to j^ for the patch.  Freedesktop #4267

2005-09-21  Tollef Fog Heen  <tfheen@err.no>

	* pkg.m4: Apply patch from Roberto Huelga to look at XXX_CFLAGS
	and XXX_LIBS which got lost somewhere.

2005-08-27  Tollef Fog Heen  <tfheen@err.no>

	* Makefile.am (AM_CFLAGS): Add default CFLAGS

	* pkg.h: Add missing prototype for enable_private_libs and
	disable_private_libs.

2005-08-23  Tollef Fog Heen  <tfheen@err.no>

	* popthelp.c: char format[10] overflowed always with gcc4, so use
	positional parameters instead.  Thanks to Scott James Remnant for
	pointing me to that solution.  Debian #321961, Ubuntu #13950,
	Freedesktop #2661

2005-08-22  Tollef Fog Heen  <tfheen@err.no>

	* check/check-cflags, check/check-define-variable,
	check/check-libs, check/check-libs-private,
	check/check-requires-private: Exec POSIX compatible shell on
	Solaris

2005-07-16  Tollef Fog Heen  <tfheen@err.no>

	* configure.in: Release 0.19

2005-07-15  Tollef Fog Heen  <tfheen@err.no>

	* pkg.c (package_get_var): Make sure to g_strdup all the return
	values and not return some values which should not be freed and
	some which should.  Yay valgrind.  Freedesktop #3682

	* configure.in: Fix default search path to be pkgconfig rather
	than pkg-config again.  Freedesktop #3662

	* pkg.m4: Add a missing AC_MSG_RESULT.  Thanks to Gary Kramlich
	for noticing this and harassing me to fix it.

2005-06-29  Tollef Fog Heen  <tfheen@err.no>

	* configure.in: Release 0.18.1

	* pkg.m4: Brown bag fix.  pkg_failed was always set to “untried”.
	Debian #316181.

2005-06-27  Tollef Fog Heen  <tfheen@err.no>

	* configure.in: Rename to pkg-config.

	* configure.in: Release 0.18

	All those Requires.private changes are thanks to James
	Henstridge.  Thanks!  Freedesktop #3097
	
	* check/private-dep.pc, check/public-dep.pc,
	  check/requires-test.pc: New files, data for the
	check-requires-private test.

	* check/check-requires-private: New test to check for
	Requires.private support.

	* check/Makefile.am (EXTRA_DIST, TESTS): Add Requires.private
	test.

	* pkg.h (struct _Package): Add requires_private

	* pkg.c (get_requires_private, fill_list_single_package) 
	(fill_list, verify_package, verify_package, get_merged) 
	(get_merged_from_back, get_multi_merged) 
	(get_multi_merged_from_back, package_get_l_libs) 
	(packages_get_l_libs, package_get_L_libs, packages_get_L_libs) 
	(package_get_other_libs, packages_get_other_libs) 
	(package_get_I_cflags, packages_get_I_cflags) 
	(package_get_other_cflags, packages_get_other_cflags): Handle
	private requires and cascading changes.

	* parse.c (parse_requires_private, parse_conflicts) 
	(parse_package_file): Handle Requires.private

	* pkg.m4: Add PKG_CHECK_EXISTS to check if a module exists.
	Thanks to James Henstridge for the patch.  Freedesktop #3530

2005-06-26  Tollef Fog Heen  <tfheen@err.no>

	* pkg.m4: Get rid of caching again.  This breaks too much stuff,
	and pkg-config doesn't take much time to run.  Freedesktop #3550

	* glib-patches/configure.in-fd_set.diff: Patch to grep for fd_set
	rather than fd_mask.  Thanks to David Wolfe for the fix.  This
	should make pkg-config happier on QNX.  Gnome #129687

2005-06-03  Tollef Fog Heen  <tfheen@err.no>

	* pkg.m4, README, pkg-config.1: s/configure.in/configure.ac/,
	thanks to Morten Brix Pedersen <morten@wtf.dk>

2005-05-21  Tollef Fog Heen  <tfheen@err.no>

	* check/check-libs-private: New test to check for support for
	private libraries.

	* check/simple.pc (prefix): Add Libs.private header.

	* check/Makefile.am (TESTS): Add check-libs-private test

	* pkg.h: Adjust function prototypes.

	* pkg.c: Add global ignore_private_libs variable.
	(scan_dir): Use the correct free function.  Stop leaking file
	descriptors.
	(package_get_l_libs, packages_get_l_libs, package_get_L_libs,
	packages_get_L_libs): Stop the recursive silliness and go back to
	old behaviour.
	(packages_get_all_libs): Adjust parameters to packages_get_*_libs
	(enable_private_libs, disable_private_libs): Trivial helper
	functions.

	* pkg-config.1: Update documentation wrt search path (Debian
	#308942), update docs for Libs.private and add the problematic
	handling of mixing = and non-= arguments to the bugs section.

	* parse.h: Adjust parameters for parse_package_file to get private
	libs or not.

	* parse.c (trim_and_sub): Fix memory leak.
	(_do_parse_libs): New function including what's common between
	parse_libs and parse_private_libs.
	(parse_libs_private): New function.  Handle private libraries.
	(parse_line): Add . to the list of valid characters in headers (so
	Libs.private works correctly.
	(parse_line): Fix memory leaks.
	(parse_line): Handle Libs.private.
	(parse_package_file): Fix memory leak.

	* main.c (main): Fix memory leak.

	* NEWS: Document changes to inter-library handling.

	* main.c (main): Handle inter-library dependencies old-style, but
	do private libraries too.  Adjust parameters to
	packages_get_*_libs.

	* configure.in: Change comment wrt inter-library handling to talk
	about private libraries instead.

2005-04-22  Tollef Fog Heen  <tfheen@err.no>

	* main.c (main): Re-add PKG_CONFIG_LIBDIR support which was
	removed by mistake.

2005-04-14  Tollef Fog Heen  <tfheen@err.no>

	* configure.in: Bump to 0.17.2
	
	* NEWS: Update for 0.17.2

2005-04-13  Tollef Fog Heen  <tfheen@err.no>

	* pkg.c (packages_get_l_libs, packages_get_L_libs): Duplicate
	singly linked list before putting it on list passed to
	string_list_strip_duplicates_from_back to avoid infinite loop when
	g_slist_copy tries to copy self-linked list.  This happens if the
	user specifies the same name on the command line twice.
	(Freedesktop #3006)

2005-04-12  Tollef Fog Heen  <tfheen@err.no>

	* configure.in: 0.17.1

	* NEWS: document changes for 0.17.1

	* configure.in: Fix up AC_MSG_RESULT for indirect deps.  Also fix
	so the test no longer is inverted and auto works properly.
	
	* configure.in: capitalisation-typo

	* pkg.m4: Apply patch from James Henstridge to have AC_RUN_LOG in
	the right place.  (Freedesktop #2992)
	
	* pkg.m4: Add note that PKG_PROG_PKG_CONFIG must be called
	explicitly if the first call to PKG_CHECK_MODULES might not
	happen.  (Debian #303211)
	
2005-04-12  Tollef Fog Heen  <tfheen@err.no>

	* configure.in: Bump to 0.17

	* NEWS: Update for 0.17
	
	* NEWS: Add note saying that we've now grabbed _PKG_* and PKG_*.
	(Freedesktop #2962)

	* pkg.m4: wrap running pkg-config in AC_RUN_LOG per James
	Henstridge's suggestion.

	* pkg.m4: Patch from James Henstridge to evaluate second argument
	again.  (Freedesktop #2987, Gnome #300232, Debian #303878,
	#303969)

2005-04-02  Tollef Fog Heen  <tfheen@err.no>

	* glib-patches/remove-strsignal-prototype.diff: Remove strsignal
	prototype from gstrfuncs.c, it is included in string.h.  This
	fixes a compilation issue on cygwin. (Freedesktop #2598)

	* glib-patches/distcheckfix.diff: Move glibconfig.h.win32 and
	config.h.win32 too.
	
	* glib-patches/distcheckfix.diff: Move glibconfig-sysdefs.h and
	glibconfig.h to DISTCLEANFILES since they're made by configure.
		
	* parse.c (parse_libs): Handle -framework as a single argument.
	(Freedesktop #1278)

	* configure.in: Remove extraneous " from --with-pc-path's help

	* glib-patches/mkinstalldirs.update.diff: cvs admin -ko to avoid
	having the Id CVS keyword being expanded, which broke the
	application of the patch.

2005-04-01  Tollef Fog Heen  <tfheen@err.no>

	Patches provided by Steve Langasek <vorlon@debian.org>

	* configure.in: Try to detect whether this architecture supports
	inter-library dependencies.  If so, we default to assuming that
	this support is used and link to the minimal set of libraries
	rather than traversing the full depends set.

	* main.c (main): Only recurse if we want a static library list or
	if this architecture doesn't support inter-library dependencies.
	This will probably expose bugs for libraries which declare
	dependencies in their .pc files but don't actually link against
	each other.

	* pkg.c (packages_get_all_libs): Add recurse option
	(packages_get_L_libs): Add recurse option
	(package_get_L_libs): Add recurse option
	(packages_get_l_libs): Add recurse option
	(package_get_l_libs): Add recurse option

	* pkg.h: Update prototypes to handle the recurse option.

2005-03-29  Tollef Fog Heen  <tfheen@err.no>

	* check/check-cflags, check/check-define-variable,
	check/check-libs, check/common, check/Makefile.am,
	check/simple.pc:  Add simple test framework and begin writing
	tests.

	* Makefile.am, configure.in: Make in check/ as well.

2005-03-28  Tollef Fog Heen  <tfheen@err.no>

	* glib-patches/distcheckfix.diff: Add some files to CLEANFILES so
	make distcheck now works.

2005-03-28  Tollef Fog Heen  <tfheen@err.no>

	* autogen.sh: Extra paranoia -- fail if running auto* fails or if
	patching fails.

	* glib-patches/mkinstalldirs.update.diff: Update patch so it
	applies cleanly

	* glib-patches/pthread-config-fix.diff: adjust offsets so patch is
	quiet again

2005-03-26  Tollef Fog Heen  <tfheen@err.no>

	* configure.in: Bump to 0.16

	* NEWS: update for 0.16

2005-03-26  Tollef Fog Heen  <tfheen@err.no>

	* configure.in: Fix default search path for .pc files.  (This was
	done after the change above but before tagging.  Put here to avoid
	confusion whether this went into the release).

2005-03-26  Tollef Fog Heen  <tfheen@err.no>

	* AUTHORS: Add myself.

2005-03-18  Tollef Fog Heen  <tfheen@err.no>

	* pkg.c (print_package_list): Ignore requires when just listing
	the available packages.
	(internal_get_package): Pass ignore_requires on.

	* parse.h: update prototype for parse_package_file.

	* parse.c (parse_line): Ignore Requires when told so.
	(parse_package_file): Pass ingore_requires on to parse_line.

	(Freedesktop #191, Debian #232719)

2005-03-18  Tollef Fog Heen  <tfheen@err.no>

	* main.c (main): Use add_search_dirs for both the compile-time
	defined pc_path and the run-time defined PKG_CONFIG_PATH.

	* pkg.h: Add prototype for add_search_dirs.

	* pkg.c (add_search_dirs): Add new function which takes a
	delimiter-separated list as input and add_search_dir's it.
	(package_init): Remove knowledge about which dirs should be
	initially added.  Moved this to main.c(main)

	* ChangeLog: Add emacs variables to set the date to this
	ChangeLog's standard format

	* Makefile.am (INCLUDES): Pass PKG_CONFIG_PCPATH on to main.c

	* configure.in: Add --with-pc-path to define the default search
	path for .pc files.  (Freedesktop #119, #648)

2005-03-18  Tollef Fog Heen  <tfheen@err.no>

	* glib-patches/pthread-config-fix.diff: Add patch to detect
	pthreads properly on some architectures.  Thanks to Michael
	Haubenwallner for reporting this bug and providing a patch.
	(Freedesktop #1617)

2005-02-21  Tollef Fog Heen  <tfheen@err.no>

	* parse.c (parse_package_file): Stop leaking file descriptors.
	(Freedesktop #1006)

2005-02-21  Tollef Fog Heen  <tfheen@err.no>

	* pkg-config.1: Get rid of groff warnings when formatting
	pkg-config(1) on an 80-column terminal.  Thanks to Colin Watson
	and Ubuntu for the fix.  (Freedesktop #148)

2005-02-21  Tollef Fog Heen  <tfheen@err.no>

	* glib-patches/*: Add patches for compiling with modern autotools.
	* autogen.sh: Use said patches.  (Freedesktop #134)

2005-02-20  Tollef Fog Heen  <tfheen@err.no>

	* main.c (main): Unstaticify variables.  (Freedesktop #2459)

2004-07-18  Scott James Remnant  <scott@netsplit.com>

	* pkg.m4: Fix a bad patch causing duplication in one of the error
	messages.

2004-07-06  Scott James Remnant  <scott@netsplit.com>

	* pkg.m4: Correct quoting brackets to correctly split the words.

2004-06-08  Scott James Remnant  <scott@netsplit.com>

	* README: Change gnome.org reference to freedesktop.org
	* AUTHORS: Add myself here, I guess.
	* pkg.m4: Mine! (fix copyright)

2004-05-08  Scott James Remnant  <scott@netsplit.com>

	Improve pkg-config's configure instructure and bring it bang
	up to date.

	* pkg.m4: Complete rewrite.
	(PKG_PROG_PKG_CONFIG): if PKG_CONFIG not defined, find the
	pkg-config in the path or $host-pkg-config if cross-compiling,
	check that is of at least version 0.9.0 or one given.
	(_PKG_CONFIG): internal macro to call pkg-config.
	(PKG_CHECK_MODULES): same semantics as the previous incarnation
	except you can prevent pkg-config from being called by defining
	xxx_CFLAGS and xxx_LIBS yourself, additionally all results are
	cached.
	* README, pkg-config.1: Adjust documentation to match.

2003-05-09  Havoc Pennington  <hp@redhat.com>

	* pkg.m4: improve error message a bit, from Tim Janik

2003-04-30  James Henstridge  <james@daa.com.au>

	* pkg.c (verify_package): fix up error messages.

	* parse.c (parse_line): don't error out on unknown keywords, as
	they may represent future extensions to the file format.

2003-02-22  James Henstridge  <james@daa.com.au>

	* pkg.c (add_virtual_pkgconfig_package): function to add a virtual
	"pkg-config" package to the packages hash table.
	(package_init): add the "pkg-config" package while initing the
	hash table.

	* pkg.h: add missing prototype.

	* main.c (main): print the url if the package is too old, to match
	the output of verify_package().

	* popthelp.c, poptint.h, poptconfig.c, findme.h, popt.h:
	* poptparse.c: expand licensing header to the version found in the
	Popt distribution's COPYING file.  See discussion in bug 84804 for
	details.

2003-02-21  James Henstridge  <james@daa.com.au>

	* pkg.m4: split macro into two parts.  The check for presence of
	pkg-config is now in a helper macro.  The main PKG_CHECK_MODULES
	macro now AC_REQUIRES() it, so that the pkg-config check is only
	performed once.
	Also update quoting to match current practices.

2003-02-19  Tor Lillqvist  <tml@iki.fi>

	* pkg.c (add_env_variable_to_list): Use G_SEARCHPATH_SEPARATOR_S
	instead of hardcoded ":".
	(verify_package): Don't use /usr/include on Win32.

2003-02-15  Havoc Pennington  <hp@pobox.com>

	* pkg.c (verify_package): patch from Nalin to use /usr/lib64 as
	the system libdir on systems where that's appropriate

2003-02-15  Havoc Pennington  <hp@pobox.com>

	Fixes suggested by Werner Trobin
	
	* main.c (verbose_error): honor --errors-to-stdout and flush 
	the same stream we write to

	* parse.c (parse_url): support an "url" field so if someone 
	has a .pc file they can figure out where to go for newer 
	versions and such

2003-01-16  Havoc Pennington  <hp@redhat.com>

	* configure.in: 0.15

2003-01-15  Havoc Pennington  <hp@pobox.com>

	* pkg.c (package_init): honor a PKG_CONFIG_LIBDIR to move default 
	search dir, useful in cross-compilation for example, bug 
	#103545 fix from David Schleef
	
2003-01-01  Zack Rusin  <zack@kde.org>

	* main.c (main): added --libs-only-other and --cflags-only-other
	arguments, thanks to which a more obscure dependencies can be
	retrieved, e.g. -pthread

2002-11-19  Havoc Pennington  <hp@redhat.com>

	* pkg-config.1: apply formatting fixes from  Peter Breitenlohner

2002-10-24  Tor Lillqvist  <tml@iki.fi>

	* configure.in: Move the check for Win32 (which tests the $host
	variable) and dependent code later, as it turns out that $host
	isn't normally yet set at that point... (I hadn't noticed as I by
	habit always pass --host=i386-pc-mingw32 to the configure script,
	which sets $host.)

2002-10-11  Havoc Pennington  <hp@redhat.com>

	* pkg.c (verify_package): fix to properly cast iter->data to char*
	before doing pointer arithmetic, from David Robins

2002-10-10  Havoc Pennington  <hp@redhat.com>

	* configure.in: 0.14

2002-10-02  Anders Carlsson  <andersca@gnu.org>

	* pkg.c (add_env_variable_to_list): Don't return NULL, return
	the new list.
	(verify_package): break if we've removed the variable.

2002-09-26  Tor Lillqvist  <tml@iki.fi>

	* parse.c (get_compat_package): Return NULL right away on
	Windows. There has never been any of these legacy *-config scripts
	distributed for Windows as far as I know.

2002-09-26  Anders Carlsson  <andersca@gnu.org>

	* pkg.c (verify_package): Use strncmp when checking for
	the -I prefix.

2002-09-19  Havoc Pennington  <hp@pobox.com>

	* configure.in: 0.13

2002-09-19  Anders Carlsson  <andersca@gnu.org>

	* pkg.c: (verify_package):
	Don't call g_free on strings returned from g_getenv.
	
Tue Sep 17 14:11:51 2002  Jonathan Blandford  <jrb@redhat.com>

	* pkg.c: strip out C_INCLUDE_PATH and CPLUS_INCLUDE_PATH if they
	exist, as this can break -Werror on some newer gcc versions.

2002-09-13  Tor Lillqvist  <tml@iki.fi>

	* Makefile.am (USE_INSTALLED_GLIB): Seems that the automake
	version used by Havoc doesn't recognize pkg_config_CFLAGS and
	pkg_config_LDFLAGS, thus failing builds on Win32 directly from the
	tarball. Set included_glib_includes and pkg_config_LDADD instead,
	then, like in the !USE_INSTALLED_GLIB branch.

	* findme.c (X_OK): If X_OK undefined, define as 1, always, not
	only if G_OS_WIN32, which is never defined here. Fixes a corner
	case on Win32 with MSYS and mingw where configure as included in
	the release tarball for some reason doesn't find unistd.h.

2002-09-09  Havoc Pennington  <hp@pobox.com>

	* pkg.c (fill_list_single_package): fix uninitialized variable,
	patch from Andrea Suatoni

2002-09-06  Havoc Pennington  <hp@redhat.com>

	* parse.c, pkg.c: handle other_libs other_cflags same 
	as -l/-L/-I flags, so we pull in from dependent packages. 
	Closes #85244, #90706, #89851

2002-03-27  Havoc Pennington  <hp@redhat.com>

	* pkg.c (verify_package): fix a typo

2002-03-07  Havoc Pennington  <hp@redhat.com>

	* configure.in: 0.12.0

2002-03-06  Tor Lillqvist  <tml@iki.fi>

	* configure.in: Use GLib 2.x on Win32.

2002-02-28  Havoc Pennington  <hp@redhat.com>

	* pkg-config.1: add a note about the need for AC_SUBST with
	PKG_CHECK_MODULES. Stefan Kost pointed this out.

2002-02-28  Havoc Pennington  <hp@redhat.com>

        Fix for static linking, -l flag order for libs in multiple prefixes
	
	* pkg.c: only sort -L/-I by PKG_CONFIG_PATH order, don't sort 
	-l flags.
	(fill_list_single_package): make whether to path sort
	controlled by a boolean arg
	(fill_list): ditto

2002-02-13  Havoc Pennington  <hp@redhat.com>

	* pkg.c (internal_get_package): look up path position by package
	key, not package name

2002-02-12  Havoc Pennington  <hp@redhat.com>

	* pkg.c (scan_dir): use g_strdup, and fix the location where 
	we assign the nul byte, so we don't mangle things for directories
	that end in '/' - reported by Enrico Scholz

2002-02-07  Havoc Pennington  <hp@redhat.com>

	* configure.in: 0.11.0

2002-02-07  Havoc Pennington  <hp@redhat.com>

	* autogen.sh: patch gslist.c so that it has a stable sort
	function, so we don't utterly mangle the order of the libraries on
	the link line.

2002-02-03  Havoc Pennington  <hp@pobox.com>

	* configure.in: 0.10.0

	Redo distribution with autoconf 2.13
	
2002-02-03  Havoc Pennington  <hp@pobox.com>

	* pkg.m4: require 0.9.0

	* configure.in: increment version to 0.9.0

2002-02-01  Havoc Pennington  <hp@redhat.com>

	* pkg.c (verify_package): don't warn about /usr/include /usr/lib
	in cflags/libs, too annoying to fix

2002-02-01  Havoc Pennington  <hp@redhat.com>

        Throughout: cast chars to guchar before passing to isspace, etc., 
	noted by Morten Welinder
	
	* pkg.c (verify_package): actually strip system -I/-L out of the
	cflags/libs, unless you set an environment variable asking to
	leave them in.

2002-02-01  Havoc Pennington  <hp@redhat.com>

	* pkg.m4: fix shell portability issue, reported by Morten Welinder

2002-01-24  Havoc Pennington  <hp@redhat.com>

	* pkg.c (print_package_list): make the output halfway attractive

	* autogen.sh: use automake-1.4 aclocal-1.4 if found

	* pkg.c (verify_package): add a warning about -I/usr/include in cflags

2001-10-28  Havoc Pennington  <hp@pobox.com>

	* pkg.c: track position of package in the path search order, 
	and sort packages accordingly before assembling flags lists, 
	reported by Jacob Berkman

	* parse.c (get_compat_package): set path position to maxint,
	always at end of path

2001-10-28  Havoc Pennington  <hp@pobox.com>	

	* pkg.c (add_search_dir): put the search path in the right order

2001-10-28  Havoc Pennington  <hp@pobox.com>	

	* configure.in: reorder things so they work on unix

2001-10-27  Tor Lillqvist  <tml@iki.fi>

	New Win32 feature to make pkg-config useful for users of MSVC:
	with the flag --msvc-syntax, munge -L and -l flags appropriately
	for the MSVC command-line compiler. (-I flags are the same.)

	* README.win32: Update.

	* main.c (main): Add --msvc-syntax flag.

	* pkg-config.1: Document it.

	* pkg.h: Declare msvc_syntax.

	* parse.c (parse_libs): Obey msvc_syntax.

2001-10-25  Tor Lillqvist  <tml@iki.fi>

	Improve Windows behaviour: Make it even easier to install
	developer packages in random locations, without having to modify
	the .pc files. Don't set "prefix" globally, instead override it
	for each .pc file parsed, if the path where the .pc file is seems
	to be the standard .../lib/pkgconfig.

	* main.c (main): Add search directories also from two Registry
	keys, in addition to the PKG_CONFIG_PATH environment
	variable. Don't define prefix globally.

	* parse.c (parse_line): Instead, if a .pc file is in
	/foo/bar/lib/pkgconfig, define prefix as /foo/bar for that package
	only.

	* pkg.c: Case-fold file names on Windows, in case they have been
	uppercasified by some tool.

	* pkg-config.1: Document Windows behaviour.

2001-10-21  Tor Lillqvist  <tml@iki.fi>

	* Makefile.am (EXTRA_DIST): Distribute README.win32.

	* main.c (main): (Win32): Add option --prefix-variable in case the
	variable used in a .pc file as "prefix" isn't called
	"prefix".

	* pkg-config.1: Document it.

	* README.win32: Describe the behaviour in more detail.

2001-10-19  Tor Lillqvist  <tml@iki.fi>

	* main.c: (Win32): Add option --dont-define-prefix on Windows. The
	option prevents pkg-config from automatically defining an
	overriding value for the "prefix" variable.

	Unless this option is used, set "prefix" to pkg-config's
	installation directory, i.e. assume that the packages whose
	configuration files are found in the same tree where
	pkg-config.exe itself is, also have been configured to use the
	same prefix. This means that a typical "developer package"
	containg a subtree of headers, libraries, etc, including .pc
	files, can be installed in any random location. As long as
	pkg-config.exe is installed the same tree, things just should
	work.

	* pkg-config.1: Document it.

2001-09-30  Tor Lillqvist  <tml@iki.fi>

	Changes for "pure" Win32 (without Cygwin or similar) support. The
	most important differences compared to pkg-config on Unix are:

	We don't use hardcoded PKGLIBDIR paths but deduce the
	installation prefix at runtime.

	Use the normal GLib DLL, not a private copy. Yes, this does
	introduce a circular dependency, but that can be worked around.
		
	* README.win32: New file.

	* configure.in: Check for Win32. If so, define USE_INSTALLED_GLIB,
	and don't configure in the included glib-1.2.8. Set GLIB_CFLAGS
	and GLIB_LIBS assuming that GLib is installed in the same location
	pkgconfig will be. Check for dirent.h, unistd.h and sys/wait.h
	headers.

	* Makefile.am: If USE_INSTALLED_GLIB, use the GLIB_* values set
	above, and don't make in the glib-1.2.8 subdir.

	* autogen.sh: Use perl -p -i.bak, works better on Win32 (and Cygwin).

	* *.c: Conditionalize inclusions of unistd.h and sys/wait.h. 
	
	* findme.c: Define X_OK on Win32 if necessary.

	* parse.c
	* popthelp.c: Minor Win32 portability ifdefs.

	* parse.c: No need to include <windows.h>. 

	* pkg.c: Don't hardcode PKGLIBDIR, but use
	g_win32_get_package_installation_directory() to deduce it.
	(scan_dir): Make a temp copy of dirname with potential superfluous
	trailing slash removed. The Win32 opendir implementation doesn't
	always like those.

	* pkg.h: If USE_INSTALLED_GLIB, include <glib.h> instead of
	partial-glib.h.

	* popt.c (execCommand): Don't compile on Win32.

	* poptconfig.c (configLine): Don't bother with the "exec" stuff on
	Win32, too complex to port, at least for now.
	(poptReadDefaultConfig) Don't bother compiling on Win32, this
	function isn't even called.
	
2001-07-11  Havoc Pennington  <hp@redhat.com>

	* pkg.c: include sys/types.h to avoid warnings about dirent on
	some systems.

2001-07-11  Havoc Pennington  <hp@pobox.com>

	* parse.c (parse_cflags): fix failure to put space between cflags,
	reported by Chema
	(parse_line): allow spelling Cflags as CFlags, pointed out by Tim
	(get_compat_package): support legacy script gnome-vfs-config for
	package name "libgnomevfs"
	(read_one_line): just blow away all the stupid getc_unlocked crap

2001-06-18  Havoc Pennington  <hp@pobox.com>

	* pkg.m4: print the error, not the name of the variable containing
	it, doh

Sun Jun 17 17:48:45 2001  Tim Janik  <timj@gtk.org>

	* pkg.c (internal_get_package): fix check before parsing a file at
	"location" to read (location==NULL) instead of (pkg==NULL).

2001-06-14  Havoc Pennington  <hp@redhat.com>

	* pkg.c (internal_get_package): don't fall back to legacy -config
	scripts for the -uninstalled case.

2001-06-07  Havoc Pennington  <hp@redhat.com>

	* pkg.m4: add URL to no-pkg-config error message

2001-06-06  Havoc Pennington  <hp@redhat.com>

	* pkg.m4: Fix mismatched backtick

2001-06-05  Havoc Pennington  <hp@redhat.com>

	* main.c: add --errors-to-stdout so you can capture them with backticks

	* pkg.m4: set FOO_PKG_ERRORS after a failed check, so people can
	print the errors. 

2001-06-05  Havoc Pennington  <hp@redhat.com>

	* parse.c: never use flockfile, getc_unlocked

2001-06-05  Havoc Pennington  <hp@redhat.com>

	* pkg.m4: remove unrelated macros

	* README, AUTHORS: updates
	
2001-05-20  Havoc Pennington  <hp@pobox.com>

	* configure.in: revert package name change, just screwing things up.

2001-05-18  Havoc Pennington  <hp@redhat.com>

	* main.c (main): Change default to print errors on --cflags,
	--libs, etc., just not on the predicate-style args

2001-05-18  Havoc Pennington  <hp@pobox.com>

	* pkg.m4: always AC_SUBST the cflags/libs

	* pkg-config.1: updates

	* configure.in: call the package 'pkg-config' instead of
	pkgconfig, for consistency	

	* popt.c: conditionalize on HAVE_SETRESUID, HAVE_SETREUID 
	maybe this will help with windows, and improves the #ifdef __hpux
	test in any case.

	* parse.c: use HAVE_FLOCKFILE to try for windows portability

	* configure.in: check for flockfile

2001-05-17  Havoc Pennington  <hp@pobox.com>

	* pkg.m4: change to print errors only if no custom not-found
	action is specified

	* main.c (main): add PKG_CONFIG_DEBUG_SPEW environment variable
	(main): implement --print-errors where errors are printed, and
	otherwise don't print errors related to packages, just usage
	errors; pointed out by Raja
	(main): rename pcbuilddir to pc_top_builddir

2001-05-17  Havoc Pennington  <hp@redhat.com>

	Changes to support building against uninstalled packages.

        * ${pcfiledir} variable used to locate builddir by locating
	the .pc file

	* ${pcbuilddir} variable set by the PKG_CONFIG_BUILD_DIR variable,
	used for the name of the build directory where the cflags/libs
	will be used, defaults to '$(top_builddir)'

	* "uninstalled" feature looks for foo-uninstalled.pc before
	foo.pc, unless PKG_CONFIG_DISABLE_UNINSTALLED is set

	* --uninstalled option used to see if foo-uninstalled.pc is in use

	* --define-variable option added, but turned out to be unused for
	this
	
2001-05-09  Havoc Pennington  <hp@redhat.com>

	* main.c, findme.c, parse.c, pkg.c, poptconfig.c, popthelp.c,
	poptparse.c: portability fixes from Tomas Ogren

2001-05-09  Havoc Pennington  <hp@redhat.com>

	* Makefile.am (EXTRA_DIST): put the m4 files in the distribution

2001-05-09  Havoc Pennington  <hp@redhat.com>

	* pkg.m4: switch to double quotes for module list, so you can use 
	a variable there.

2001-05-09  Havoc Pennington  <hp@redhat.com>

	* pkg.c (verify_package): fix error message on missing Name field, 
	so that it doesn't try to use the name field to report which
	package was broken

	* parse.c (parse_package_file): change a debug spew to an actual
	error message

2001-04-13  Havoc Pennington  <hp@redhat.com>

	* pkg.m4: fixed this up

	* main.c (main): remove --check-requires, instead allow version
	predicates in the module list.

2001-04-12  Havoc Pennington  <hp@pobox.com>

	* main.c (main): Implement --check-requires='gtk+-2.0 = 1.3.4' 
	option

2001-01-24  Havoc Pennington  <hp@redhat.com>

        Implement --debug spew option.
	
	* main.c: add debug_spew function and an option --debug	

2001-01-06  Havoc Pennington  <hp@pobox.com>

	* pkg.c (scan_dir): fail silently if we can't open a directory in
	the PKG_CONFIG_PATH

2001-01-02  Havoc Pennington  <hp@redhat.com>

	* configure.in: bump version

2001-01-02  Havoc Pennington  <hp@redhat.com>

	* parse.c (parse_package_file): return NULL instead of exiting
	if we can't open the file.

	* main.c (main): Add options to check the version of pkg-config
	itself, and to list all known packages

	* parse.c (split_module_list): fix to work properly
	(parse_module_list): pass variable-substituted string to
	split_module_list(), silly typo

	* pkg.c (get_package): Add ability to pass a filename instead of a
	package name, if you want to use a specific pkg-config file (used
	for configure.in in GTK+ for example, where you can build against
	an uninstalled copy of GLib).

2000-11-29  Havoc Pennington  <hp@redhat.com>

	* parse.c (parse_module_list): Allow commas before/after the
	module list, and allow spaces instead of commas to be used as
	separators. This leniency makes it a lot easier to conditionally
	build the module list according to configure.in checks.

2000-11-29  Havoc Pennington  <hp@pobox.com>

	* pkg.c (packages_get_other_libs): put a space after the
	other_libs
	(packages_get_other_cflags): put a space after the other_cflags

2000-11-27  Havoc Pennington  <hp@redhat.com>

	* main.c (main): don't print space after variable values

	* pkg.c (packages_get_var): don't add space after last variable

2000-11-22  Martijn van Beers  <martijn@earthling.net>

	* main.c: added a --version option for martin
	* parse.c: added jamesh's patch

	release 0.4.1

2000-10-17  Martijn van Beers  <martijn@earthling.net>

	* configure.in:
	* Makefile.am: Change to use C version only.

	release 0.4.0

2000-09-15  Havoc Pennington  <hp@redhat.com>

	* configure.in: AM_PROG_LIBTOOL

	* Makefile.am (experimental_pkg_config_LDADD): Link with .la, not
	.a

2000-08-10  Havoc Pennington  <hp@redhat.com>

	* pkg.c (verify_package): Bugfix from Anders

2000-07-24  Havoc Pennington  <hp@redhat.com>

	* parse.c (get_compat_package): Add support 
	for imlib-config and orbit-config

2000-07-22  Havoc Pennington  <hp@pobox.com>

	* parse.c (get_compat_package): Make it work with any 
	gnome-config package name.

2000-07-22  Havoc Pennington  <hp@pobox.com>

	* parse.c, pkg.c, pkg.h: Add Conflicts: keyword, and do 
	version-checking for Requires: line. Untested.

2000-07-21  Havoc Pennington  <hp@redhat.com>

	* parse.c (get_compat_package): Add some compat stuff (execs
	gnome-config, gtk-config, etc.). We don't yet support all 
	the modules we might want to support.

2000-07-20  Havoc Pennington  <hp@redhat.com>

	* pkg.c (get_package): fix error message formatting

2000-07-20  Havoc Pennington  <hp@redhat.com>

	* pkg.c (recursive_fill_list): append rather than prepend the 
	current libs to the required libs.

	* parse.c (trim_and_sub): Make variables use ${} instead of %{} so
	we can accept "shell variables" subbed by configure

2000-07-20  Havoc Pennington  <hp@redhat.com>

	* autogen.sh: Run perl on the Makefile.am in the glib tarball to
	keep it from doing anything in 'make install'

	* pkg.c (scan_dir): Revert to .pc extension

2000-07-20  Havoc Pennington  <hp@redhat.com>

	* glib-1.2.8.tar.gz: Decided it was easier to just stick 
	in a copy of the tarball instead of hacking up glib;
	this way we get bugfixes. If distribution size is a problem, 
	we can hack on it later. Rerun autogen.sh to get the 
	tarball unpacked and configured.
	
	* configure.in: AC_CONFIG_SUBDIRS(glib-1.2.8)

	* main.c: Add version-comparison 

	* Makefile.am: use new glib tarball
	
2000-07-18  Havoc Pennington  <hp@redhat.com>

	* pkg.c: When removing -l duplicates, keep the last not the first
	-l

	* main.c (main): Added --variable and --module-exists options.

	* Wrote an experimental version of pkg-config in C. For 
	now, glib is required, until I get a cut-and-pasted subset
	of glib up and running.

	C version is not finished, don't release a tarball yet. ;-)
	
	* configure.in, Makefile.am: stuff to build the C version 
	of pkg-config

2000-07-10  Martijn van Beers  <martijn@earthling.net>

	* pkg-config.in: remove -I/usr/include and -L/usr/lib from
	  the flags we output
	* pkg.m4: add a PKG_ACLOCALFLAGS macro
	          add a _DEPENDS output variable

2000-07-01  Martijn van Beers  <martijn@earthling.net>

	* data/gnomeconfig.pce: make output of --modversion be like
	  the output of .pc files

2000-07-01  Martijn van Beers  <martijn@earthling.net>

	* pkg.m4: clean up PKG_CHECK_CFLAG
   
2000-06-27  Martijn van Beers  <martijn@earthling.net>

	* data/gnomeconfig.pce: check for existance with --cflags
				instead of --libs
	* pkg.m4: remove stray debug echo command
		  add PKG_CHECK_CFLAGS macro

2000-06-23  Martijn van Beers  <martijn@earthling.net>

	* data/gnomeconfig.pce,
	* pkg-config.in:
	  - add checks to see if we're properly installed
	  - bug fixes for sh on Tru64

Wed Jun 21 2000  Martijn van Beers  <martijn@earthling.net>

	* added support for extension modules that will be called
	  if a module doesn't have a .pc file
	* added a gnomeconfig.pce extension module to allow for
	  old gnome-libs stuff to be used (at the request of hp)
	* made CFLAGS be like the LIBS_* variables in that you
	  need to do the adding in the .pc file

Thu Jun 15 2000  Martijn van Beers  <martijn@earthling.net>

	* add a --print-pc-dir that prints the default search dir
	* only use the default search dir when nothing else is
	  specified

Sat Jun 10 2000  Martijn van Beers  <martijn@earthling.net>

	* made the duplication removing code in a function
	* fix the duplication code so that it checks $* correctly
	  while we have IFS=":$IFS"
	* splitted up --libs into --libs-only-L, --libs-only-l-self
	  and --libs-only-l-system, as suggested by Tim Janik

Thu Jun  8 2000  Martijn van Beers  <martijn@earthling.net>

	* made it use autoconf/automake
	* pkg-config: removed in favour of a .in equivalent which generates
	              pkg-config from configure
	* pkg-config.in: new file, mostly a copy from pkg-config
	* pkg-config.in: get the prefix for the default pc_path from configure

Wed Jun  7 2000  Martijn van Beers  <martijn@earthling.net>

	* pkg.m4: new file, contains a macro that checks for packages and
	          whether they're the right version
	* pkg-config: added a --modversion flag to get the version of the
	              module (needs a VERSION var in the .pc files)

Tue Jun  6 2000  Martijn van Beers  <martijn@earthling.net>

	* pkg-config: removed the pc_name_pkg functionality
	* pkg-config: show help and error out when there are no arguments
	* pkg-config: get the version from configure

;;
;; Local variables:
;; add-log-time-format: add-log-iso8601-time-string
;; End:
